> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get unregistered applicant details

> Retrieve GST registration details for an unregistered e-commerce applicant using an enrolment UID.

#### Response schema

For successful responses, these resources describe the Goods and Services Tax Network (GSTN) payload at `data.data`.

<Card title="View response JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/public/unregistered-applicants/v1.0/response.schema.json" arrow="true" horizontal />

<Card title="View Excel field reference" icon="file-spreadsheet" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/public/unregistered-applicants/v1.0/fields.xlsx" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/public/unregistered-applicants
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/public/unregistered-applicants:
    post:
      tags:
        - Public
      summary: Get unregistered applicant details
      description: >-
        Retrieve GST registration details for an unregistered e-commerce
        applicant using its enrolment UID.
      operationId: getUnregisteredApplicants
      parameters:
        - name: authorization
          in: header
          description: JWT access token used to authorize the request.
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-accept-cache
          in: header
          description: >-
            Pass true to accept a cached response. Requests without this header,
            or with false, are sent to the origin.
          required: false
          example: 'true'
          schema:
            type: boolean
        - name: x-api-key
          in: header
          description: API key used to identify your Sandbox account.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: Sandbox API version to use.
          required: false
          schema:
            type: string
            default: 1.0.0
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              description: Identifier for the unregistered applicant.
              additionalProperties: false
              required:
                - uid
              properties:
                uid:
                  type: string
                  description: GST enrolment UID of the unregistered applicant.
                  example: 292200000001ES9
            examples:
              Unregistered applicant:
                summary: Fetch an unregistered applicant
                value:
                  uid: 292200000001ES9
      responses:
        '200':
          description: Unregistered applicant details retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - data
                  - timestamp
                  - transaction_id
                properties:
                  code:
                    type: integer
                    description: HTTP status code.
                    example: 200
                  data:
                    type: object
                    required:
                      - data
                      - status_cd
                    properties:
                      data:
                        type: object
                        description: GSTN details for the unregistered applicant.
                        required:
                          - name
                          - pan
                          - state
                          - authstatus
                          - regdt
                          - addtls
                        properties:
                          name:
                            type: string
                            description: Legal name of the unregistered applicant.
                            maxLength: 200
                            example: Dev Prakruthi
                          pan:
                            type: string
                            description: PAN of the unregistered applicant.
                            minLength: 10
                            maxLength: 10
                            example: SRIFP2884S
                          state:
                            type: string
                            description: State of the unregistered applicant.
                            maxLength: 200
                            example: Tamil Nadu
                          goodsdetails:
                            type: string
                            description: Goods details supplied by the applicant.
                            maxLength: 250
                            example: ''
                          servicedetails:
                            type: string
                            description: Service details supplied by the applicant.
                            maxLength: 250
                            example: ''
                          authstatus:
                            type: string
                            description: 'Applicant status: A for active or C for cancelled.'
                            enum:
                              - A
                              - C
                            example: A
                          regdt:
                            type: string
                            description: Applicant registration date in DD/MM/YYYY format.
                            pattern: ^\d{2}/\d{2}/\d{4}$
                            example: 28/09/1989
                          candt:
                            type: string
                            description: >-
                              Applicant cancellation date in DD/MM/YYYY format,
                              when cancelled.
                            pattern: ^(|\d{2}/\d{2}/\d{4})$
                            example: ''
                          addtls:
                            type: object
                            description: Address details of the unregistered applicant.
                            required:
                              - bnm
                              - st
                              - loc
                              - pncd
                              - stcd
                              - dst
                              - cnty
                              - city
                            properties:
                              bno:
                                type: string
                                description: Building number.
                                maxLength: 60
                                example: 3/1-10
                              bnm:
                                type: string
                                description: Building name.
                                maxLength: 60
                                example: ''
                              st:
                                type: string
                                description: Street name.
                                maxLength: 50
                                example: 3rd Street
                              loc:
                                type: string
                                description: Locality.
                                maxLength: 50
                                example: West Mambalam
                              pncd:
                                type: string
                                description: Six-digit postal code.
                                pattern: ^\d{6}$
                                example: '600033'
                              stcd:
                                type: string
                                description: State name.
                                maxLength: 50
                                example: Tamil Nadu
                              lg:
                                type: string
                                description: Longitude.
                                maxLength: 27
                                example: '13.035805'
                              lt:
                                type: string
                                description: Latitude.
                                maxLength: 27
                                example: '80.2204520000001'
                              dst:
                                type: string
                                description: District name.
                                maxLength: 50
                                example: Chennai
                              cnty:
                                type: string
                                description: Country code.
                                maxLength: 50
                                example: IND
                              landMark:
                                type: string
                                description: Landmark.
                                maxLength: 50
                                example: West Mambalam Sub Post Office
                              city:
                                type: string
                                description: City name.
                                maxLength: 50
                                example: Chennai
                      status_cd:
                        type: string
                        description: GSTN status code for the response.
                        example: '1'
                  timestamp:
                    type: integer
                    format: int64
                    description: >-
                      Unix timestamp in milliseconds indicating when the server
                      generated the response.
                    example: 1785424627417
                  transaction_id:
                    type: string
                    format: uuid
                    description: Unique identifier for tracking the request across systems.
                    example: f8be2d24-ed85-4a65-9763-0a3bef00870a
              examples:
                Unregistered applicant:
                  summary: Unregistered applicant details
                  value:
                    code: 200
                    data:
                      data:
                        name: Dev Prakruthi
                        pan: SRIFP2884S
                        state: Tamil Nadu
                        authstatus: A
                        regdt: 28/09/1989
                        candt: ''
                        addtls:
                          bno: 3/1-10
                          bnm: ''
                          st: 3rd Street
                          loc: West Mambalam
                          pncd: '600033'
                          stcd: Tamil Nadu
                          lg: '13.035805'
                          lt: '80.2204520000001'
                          dst: Chennai
                          cnty: IND
                          landMark: West Mambalam Sub Post Office
                          city: Chennai
                        goodsdetails: ''
                        servicedetails: ''
                      status_cd: '1'
                    timestamp: 1785424627417
                    transaction_id: f8be2d24-ed85-4a65-9763-0a3bef00870a
      deprecated: false
      security: []

````